<!DOCTYPE html>
<html lang='en'>
<head>
  <title>RSpec results</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Expires" content="-1" />
  <meta http-equiv="Pragma" content="no-cache" />
  <style type="text/css">
  body {
    margin: 0;
    padding: 0;
    background: #fff;
    font-size: 80%;
  }
  </style>
  <script type="text/javascript">
    // <![CDATA[

function addClass(element_id, classname) {
  document.getElementById(element_id).className += (" " + classname);
}

function removeClass(element_id, classname) {
  var elem = document.getElementById(element_id);
  var classlist = elem.className.replace(classname,'');
  elem.className = classlist;
}

function moveProgressBar(percentDone) {
  document.getElementById("rspec-header").style.width = percentDone +"%";
}

function makeRed(element_id) {
  removeClass(element_id, 'passed');
  removeClass(element_id, 'not_implemented');
  addClass(element_id,'failed');
}

function makeYellow(element_id) {
  var elem = document.getElementById(element_id);
  if (elem.className.indexOf("failed") == -1) {  // class doesn't includes failed
    if (elem.className.indexOf("not_implemented") == -1) { // class doesn't include not_implemented
      removeClass(element_id, 'passed');
      addClass(element_id,'not_implemented');
    }
  }
}

function apply_filters() {
  var passed_filter = document.getElementById('passed_checkbox').checked;
  var failed_filter = document.getElementById('failed_checkbox').checked;
  var pending_filter = document.getElementById('pending_checkbox').checked;

  assign_display_style("example passed", passed_filter);
  assign_display_style("example failed", failed_filter);
  assign_display_style("example not_implemented", pending_filter);

  assign_display_style_for_group("example_group passed", passed_filter);
  assign_display_style_for_group("example_group not_implemented", pending_filter, pending_filter || passed_filter);
  assign_display_style_for_group("example_group failed", failed_filter, failed_filter || pending_filter || passed_filter);
}

function get_display_style(display_flag) {
  var style_mode = 'none';
  if (display_flag == true) {
    style_mode = 'block';
  }
  return style_mode;
}

function assign_display_style(classname, display_flag) {
  var style_mode = get_display_style(display_flag);
  var elems = document.getElementsByClassName(classname)
  for (var i=0; i<elems.length;i++) {
    elems[i].style.display = style_mode;
  }
}

function assign_display_style_for_group(classname, display_flag, subgroup_flag) {
  var display_style_mode = get_display_style(display_flag);
  var subgroup_style_mode = get_display_style(subgroup_flag);
  var elems = document.getElementsByClassName(classname)
  for (var i=0; i<elems.length;i++) {
    var style_mode = display_style_mode;
    if ((display_flag != subgroup_flag) && (elems[i].getElementsByTagName('dt')[0].innerHTML.indexOf(", ") != -1)) {
      elems[i].style.display = subgroup_style_mode;
    } else {
      elems[i].style.display = display_style_mode;
    }
  }
}

    // ]]>
  </script>
  <style type="text/css">
#rspec-header {
  background: #65C400; color: #fff; height: 4em;
}

.rspec-report h1 {
  margin: 0px 10px 0px 10px;
  padding: 10px;
  font-family: "Lucida Grande", Helvetica, sans-serif;
  font-size: 1.8em;
  position: absolute;
}

#label {
  float:left;
}

#display-filters {
  float:left;
  padding: 28px 0 0 40%;
  font-family: "Lucida Grande", Helvetica, sans-serif;
}

#summary {
  float:right;
  padding: 5px 10px;
  font-family: "Lucida Grande", Helvetica, sans-serif;
  text-align: right;
}

#summary p {
  margin: 0 0 0 2px;
}

#summary #totals {
  font-size: 1.2em;
}

.example_group {
  margin: 0 10px 5px;
  background: #fff;
}

dl {
  margin: 0; padding: 0 0 5px;
  font: normal 11px "Lucida Grande", Helvetica, sans-serif;
}

dt {
  padding: 3px;
  background: #65C400;
  color: #fff;
  font-weight: bold;
}

dd {
  margin: 5px 0 5px 5px;
  padding: 3px 3px 3px 18px;
}

dd .duration {
  padding-left: 5px;
  text-align: right;
  right: 0px;
  float:right;
}

dd.example.passed {
  border-left: 5px solid #65C400;
  border-bottom: 1px solid #65C400;
  background: #DBFFB4; color: #3D7700;
}

dd.example.not_implemented {
  border-left: 5px solid #FAF834;
  border-bottom: 1px solid #FAF834;
  background: #FCFB98; color: #131313;
}

dd.example.pending_fixed {
  border-left: 5px solid #0000C2;
  border-bottom: 1px solid #0000C2;
  color: #0000C2; background: #D3FBFF;
}

dd.example.failed {
  border-left: 5px solid #C20000;
  border-bottom: 1px solid #C20000;
  color: #C20000; background: #FFFBD3;
}


dt.not_implemented {
  color: #000000; background: #FAF834;
}

dt.pending_fixed {
  color: #FFFFFF; background: #C40D0D;
}

dt.failed {
  color: #FFFFFF; background: #C40D0D;
}


#rspec-header.not_implemented {
  color: #000000; background: #FAF834;
}

#rspec-header.pending_fixed {
  color: #FFFFFF; background: #C40D0D;
}

#rspec-header.failed {
  color: #FFFFFF; background: #C40D0D;
}


.backtrace {
  color: #000;
  font-size: 12px;
}

a {
  color: #BE5C00;
}

/* Ruby code, style similar to vibrant ink */
.ruby {
  font-size: 12px;
  font-family: monospace;
  color: white;
  background-color: black;
  padding: 0.1em 0 0.2em 0;
}

.ruby .keyword { color: #FF6600; }
.ruby .constant { color: #339999; }
.ruby .attribute { color: white; }
.ruby .global { color: white; }
.ruby .module { color: white; }
.ruby .class { color: white; }
.ruby .string { color: #66FF00; }
.ruby .ident { color: white; }
.ruby .method { color: #FFCC00; }
.ruby .number { color: white; }
.ruby .char { color: white; }
.ruby .comment { color: #9933CC; }
.ruby .symbol { color: white; }
.ruby .regex { color: #44B4CC; }
.ruby .punct { color: white; }
.ruby .escape { color: white; }
.ruby .interp { color: white; }
.ruby .expr { color: white; }

.ruby .offending { background-color: gray; }
.ruby .linenum {
  width: 75px;
  padding: 0.1em 1em 0.2em 0;
  color: #000000;
  background-color: #FFFBD3;
}

  </style>
</head>
<body>
<div class="rspec-report">

<div id="rspec-header">
  <div id="label">
    <h1>RSpec Code Examples</h1>
  </div>

  <div id="display-filters">
    <input id="passed_checkbox"  name="passed_checkbox"  type="checkbox" checked="checked" onchange="apply_filters()" value="1" /> <label for="passed_checkbox">Passed</label>
    <input id="failed_checkbox"  name="failed_checkbox"  type="checkbox" checked="checked" onchange="apply_filters()" value="2" /> <label for="failed_checkbox">Failed</label>
    <input id="pending_checkbox" name="pending_checkbox" type="checkbox" checked="checked" onchange="apply_filters()" value="3" /> <label for="pending_checkbox">Pending</label>
  </div>

  <div id="summary">
    <p id="totals">&#160;</p>
    <p id="duration">&#160;</p>
  </div>
</div>


<div class="results">
<div id="div_group_1" class="example_group passed">
  <dl style="margin-left: 0px;">
  <dt id="example_group_1" class="passed">Api::V1::EventsController</dt>
  </dl>
</div>
<div id="div_group_2" class="example_group passed">
  <dl style="margin-left: 15px;">
  <dt id="example_group_2" class="passed">GET #index</dt>
    <script type="text/javascript">moveProgressBar('4.1');</script>
    <dd class="example passed"><span class="passed_spec_name">returns ten events order</span><span class='duration'>2.68998s</span></dd>
  </dl>
</div>
<div id="div_group_3" class="example_group passed">
  <dl style="margin-left: 15px;">
  <dt id="example_group_3" class="passed">GET #show</dt>
    <script type="text/javascript">moveProgressBar('8.3');</script>
    <dd class="example passed"><span class="passed_spec_name">returns http success</span><span class='duration'>2.77404s</span></dd>
  </dl>
</div>
<div id="div_group_4" class="example_group passed">
  <dl style="margin-left: 15px;">
  <dt id="example_group_4" class="passed">Test ElasticSearch to searching for event</dt>
  </dl>
</div>
<div id="div_group_5" class="example_group passed">
  <dl style="margin-left: 30px;">
  <dt id="example_group_5" class="passed">GET #search</dt>
    <script type="text/javascript">moveProgressBar('12.5');</script>
    <dd class="example passed"><span class="passed_spec_name">search for location</span><span class='duration'>2.69575s</span></dd>
    <script type="text/javascript">moveProgressBar('16.6');</script>
    <dd class="example passed"><span class="passed_spec_name">search for name</span><span class='duration'>2.72204s</span></dd>
  </dl>
</div>
<div id="div_group_6" class="example_group passed">
  <dl style="margin-left: 15px;">
  <dt id="example_group_6" class="passed">PUT #update</dt>
    <script type="text/javascript">makeYellow('rspec-header');</script>
    <script type="text/javascript">makeYellow('div_group_6');</script>
    <script type="text/javascript">makeYellow('example_group_6');</script>
    <script type="text/javascript">moveProgressBar('20.8');</script>
    <dd class="example not_implemented"><span class="not_implemented_spec_name">returns http success (PENDING: Temporarily skipped with xit)</span></dd>
  </dl>
</div>
<div id="div_group_7" class="example_group passed">
  <dl style="margin-left: 15px;">
  <dt id="example_group_7" class="passed">DELETE #destroy</dt>
    <script type="text/javascript">makeYellow('rspec-header');</script>
    <script type="text/javascript">makeYellow('div_group_7');</script>
    <script type="text/javascript">makeYellow('example_group_7');</script>
    <script type="text/javascript">moveProgressBar('25.0');</script>
    <dd class="example not_implemented"><span class="not_implemented_spec_name">returns http success (PENDING: Temporarily skipped with xit)</span></dd>
  </dl>
</div>
<div id="div_group_8" class="example_group passed">
  <dl style="margin-left: 0px;">
  <dt id="example_group_8" class="passed">Artist</dt>
  </dl>
</div>
<div id="div_group_9" class="example_group passed">
  <dl style="margin-left: 15px;">
  <dt id="example_group_9" class="passed">Validations</dt>
  </dl>
</div>
<div id="div_group_10" class="example_group passed">
  <dl style="margin-left: 30px;">
  <dt id="example_group_10" class="passed">can not be blank</dt>
    <script type="text/javascript">moveProgressBar('29.1');</script>
    <dd class="example passed"><span class="passed_spec_name">name</span><span class='duration'>0.00441s</span></dd>
  </dl>
</div>
<div id="div_group_11" class="example_group passed">
  <dl style="margin-left: 30px;">
  <dt id="example_group_11" class="passed">can not repeat</dt>
    <script type="text/javascript">moveProgressBar('33.3');</script>
    <dd class="example passed"><span class="passed_spec_name">name</span><span class='duration'>0.00580s</span></dd>
  </dl>
</div>
<div id="div_group_12" class="example_group passed">
  <dl style="margin-left: 0px;">
  <dt id="example_group_12" class="passed">Event</dt>
  </dl>
</div>
<div id="div_group_13" class="example_group passed">
  <dl style="margin-left: 15px;">
  <dt id="example_group_13" class="passed">Validations</dt>
  </dl>
</div>
<div id="div_group_14" class="example_group passed">
  <dl style="margin-left: 30px;">
  <dt id="example_group_14" class="passed">can not be blank</dt>
    <script type="text/javascript">moveProgressBar('37.5');</script>
    <dd class="example passed"><span class="passed_spec_name">name</span><span class='duration'>0.12818s</span></dd>
  </dl>
</div>
<div id="div_group_15" class="example_group passed">
  <dl style="margin-left: 30px;">
  <dt id="example_group_15" class="passed">can not repeat</dt>
    <script type="text/javascript">moveProgressBar('41.6');</script>
    <dd class="example passed"><span class="passed_spec_name">name</span><span class='duration'>0.25955s</span></dd>
  </dl>
</div>
<div id="div_group_16" class="example_group passed">
  <dl style="margin-left: 0px;">
  <dt id="example_group_16" class="passed">EventPolicy</dt>
  </dl>
</div>
<div id="div_group_17" class="example_group passed">
  <dl style="margin-left: 15px;">
  <dt id="example_group_17" class="passed">index?</dt>
  </dl>
</div>
<div id="div_group_18" class="example_group passed">
  <dl style="margin-left: 30px;">
  <dt id="example_group_18" class="passed">User see all events</dt>
    <script type="text/javascript">moveProgressBar('45.8');</script>
    <dd class="example passed"><span class="passed_spec_name">grants access</span><span class='duration'>0.23310s</span></dd>
  </dl>
</div>
<div id="div_group_19" class="example_group passed">
  <dl style="margin-left: 15px;">
  <dt id="example_group_19" class="passed">show?</dt>
  </dl>
</div>
<div id="div_group_20" class="example_group passed">
  <dl style="margin-left: 30px;">
  <dt id="example_group_20" class="passed">User see one event</dt>
    <script type="text/javascript">moveProgressBar('50.0');</script>
    <dd class="example passed"><span class="passed_spec_name">grants access</span><span class='duration'>0.23122s</span></dd>
  </dl>
</div>
<div id="div_group_21" class="example_group passed">
  <dl style="margin-left: 15px;">
  <dt id="example_group_21" class="passed">create?</dt>
  </dl>
</div>
<div id="div_group_22" class="example_group passed">
  <dl style="margin-left: 30px;">
  <dt id="example_group_22" class="passed">User create an event</dt>
    <script type="text/javascript">moveProgressBar('54.1');</script>
    <dd class="example passed"><span class="passed_spec_name">grants access</span><span class='duration'>0.22902s</span></dd>
  </dl>
</div>
<div id="div_group_23" class="example_group passed">
  <dl style="margin-left: 15px;">
  <dt id="example_group_23" class="passed">update?</dt>
  </dl>
</div>
<div id="div_group_24" class="example_group passed">
  <dl style="margin-left: 30px;">
  <dt id="example_group_24" class="passed">User create an event</dt>
    <script type="text/javascript">moveProgressBar('58.3');</script>
    <dd class="example passed"><span class="passed_spec_name">grants access</span><span class='duration'>0.23917s</span></dd>
  </dl>
</div>
<div id="div_group_25" class="example_group passed">
  <dl style="margin-left: 15px;">
  <dt id="example_group_25" class="passed">destroy?</dt>
  </dl>
</div>
<div id="div_group_26" class="example_group passed">
  <dl style="margin-left: 30px;">
  <dt id="example_group_26" class="passed">User create an event</dt>
    <script type="text/javascript">moveProgressBar('62.5');</script>
    <dd class="example passed"><span class="passed_spec_name">grants access</span><span class='duration'>0.23684s</span></dd>
  </dl>
</div>
<div id="div_group_27" class="example_group passed">
  <dl style="margin-left: 0px;">
  <dt id="example_group_27" class="passed">machine</dt>
  </dl>
</div>
<div id="div_group_28" class="example_group passed">
  <dl style="margin-left: 15px;">
  <dt id="example_group_28" class="passed">User is not logged</dt>
    <script type="text/javascript">moveProgressBar('66.6');</script>
    <dd class="example passed"><span class="passed_spec_name">index returns ok</span><span class='duration'>0.16798s</span></dd>
    <script type="text/javascript">moveProgressBar('70.8');</script>
    <dd class="example passed"><span class="passed_spec_name">show returns ok</span><span class='duration'>0.13294s</span></dd>
    <script type="text/javascript">makeYellow('rspec-header');</script>
    <script type="text/javascript">makeYellow('div_group_28');</script>
    <script type="text/javascript">makeYellow('example_group_28');</script>
    <script type="text/javascript">moveProgressBar('75.0');</script>
    <dd class="example not_implemented"><span class="not_implemented_spec_name">search returns ok (PENDING: Temporarily skipped with xit)</span></dd>
    <script type="text/javascript">moveProgressBar('79.1');</script>
    <dd class="example passed"><span class="passed_spec_name">create returns unauthorized</span><span class='duration'>0.13545s</span></dd>
    <script type="text/javascript">moveProgressBar('83.3');</script>
    <dd class="example passed"><span class="passed_spec_name">update returns unauthorized</span><span class='duration'>0.12748s</span></dd>
  </dl>
</div>
<div id="div_group_29" class="example_group passed">
  <dl style="margin-left: 15px;">
  <dt id="example_group_29" class="passed">user authentication</dt>
    <script type="text/javascript">moveProgressBar('87.5');</script>
    <dd class="example passed"><span class="passed_spec_name">index returns authorized</span><span class='duration'>0.37064s</span></dd>
    <script type="text/javascript">moveProgressBar('91.6');</script>
    <dd class="example passed"><span class="passed_spec_name">show returns authorized</span><span class='duration'>0.36284s</span></dd>
    <script type="text/javascript">makeYellow('rspec-header');</script>
    <script type="text/javascript">makeYellow('div_group_29');</script>
    <script type="text/javascript">makeYellow('example_group_29');</script>
    <script type="text/javascript">moveProgressBar('95.8');</script>
    <dd class="example not_implemented"><span class="not_implemented_spec_name">create returns authorized (PENDING: Temporarily skipped with xit)</span></dd>
    <script type="text/javascript">moveProgressBar('100.0');</script>
    <dd class="example passed"><span class="passed_spec_name">update returns authorized</span><span class='duration'>0.49239s</span></dd>
  </dl>
</div>

Deprecation Warnings:

`failure_message_for_should_not` is deprecated. Use `failure_message_when_negated` instead. Called from /app/spec/support/pundit_matcher.rb:12:in `block in <top (required)>'.

`failure_message_for_should` is deprecated. Use `failure_message` instead. Called from /app/spec/support/pundit_matcher.rb:8:in `block in <top (required)>'.


If you need more of the backtrace for any of these deprecations to
identify where to make the necessary changes, you can configure
`config.raise_errors_for_deprecations!`, and it will turn the
deprecation warnings into errors, giving you the full backtrace.

2 deprecation warnings total
<script type="text/javascript">document.getElementById('duration').innerHTML = "Finished in <strong>14.47150 seconds</strong>";</script>
<script type="text/javascript">document.getElementById('totals').innerHTML = "24 examples, 0 failures, 4 pending";</script>
</div>
</div>
</body>
</html>
